Package org.spongepowered.asm.mixin.injection.callback

## Class CallbackInfo

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.callback.CallbackInfo

- Direct Known Subclasses:
    `CallbackInfoReturnable`

      @Deprecated
      public class CallbackInfo
      extends java.lang.Object

  Deprecated.
  micromixin-runtime is deprecated for removal. Use micromixin-annotations instead. Reason for this is that mixin annotations have a retention policy of `RetentionPolicy.RUNTIME`. In edge cases such as `Annotation.annotationType()`, the class needs to present at runtime. This is especially compounded by JPMS not supporting packages being in two or more modules, while micromixin-annotation having the `LocalCapture` class in the callback package.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallbackInfo​(java.lang.String name, boolean cancellable)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancel()` | Deprecated.
    `java.lang.String` | `getId()` | Deprecated.
    `boolean` | `isCancellable()` | Deprecated.
    `boolean` | `isCancelled()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallbackInfo

          public CallbackInfo​(@NotNull
                              java.lang.String name,
                              boolean cancellable)

      Deprecated.

  - ### Method Detail

    - #### getId

          @NotNull
          public java.lang.String getId()

      Deprecated.

    - #### cancel

          public void cancel()
                      throws CancellationException

      Deprecated.
      Throws:
        `CancellationException`

    - #### isCancellable

          public final boolean isCancellable()

      Deprecated.

    - #### isCancelled

          public final boolean isCancelled()

      Deprecated.